org.eclipse.microprofile.metrics.tck.inheritance

## Class InheritedTimedMethodBean

- java.lang.Object
- - org.eclipse.microprofile.metrics.tck.inheritance.VisibilityTimedMethodBean
  - - org.eclipse.microprofile.metrics.tck.inheritance.InheritedTimedMethodBean

    public class InheritedTimedMethodBean
    extends VisibilityTimedMethodBean

### Constructor Summary

Constructors
Constructor and Description
`InheritedTimedMethodBean()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `timedMethodOne()`
`protected void` `timedMethodProtected()`
`void` `timedMethodTwo()`

### Methods inherited from class org.eclipse.microprofile.metrics.tck.inheritance.VisibilityTimedMethodBean

`protectedTimedMethod, publicTimedMethod`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InheritedTimedMethodBean

    public InheritedTimedMethodBean()

### Method Detail

#### timedMethodOne

    @Timed
    public void timedMethodOne()

#### timedMethodTwo

    @Timed
    public void timedMethodTwo()

#### timedMethodProtected

    @Timed
    protected void timedMethodProtected()